Bug 1939441 - CVE-2021-3447 ansible: multiple modules expose secured values [fedora-all]
Summary: CVE-2021-3447 ansible: multiple modules expose secured values [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ansible
Version: 33
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-3447
TreeView+ depends on / blocked
 
Reported: 2021-03-16 12:14 UTC by Tapas Jena
Modified: 2021-05-20 00:38 UTC (History)
3 users (show)

Fixed In Version: ansible-2.9.20-1.el8 ansible-2.9.20-1.fc33 ansible-2.9.20-1.fc34 ansible-2.9.20-1.fc32 ansible-2.9.21-1.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-27 01:08:01 UTC
Type: ---


Attachments (Terms of Use)

Description Tapas Jena 2021-03-16 12:14:44 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Tapas Jena 2021-03-16 12:14:48 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1939349,1939441

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-04-24 20:31:45 UTC
FEDORA-EPEL-2021-076099dbe2 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-076099dbe2

Comment 3 Fedora Update System 2021-04-24 20:31:51 UTC
FEDORA-2021-4a17f0225d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-4a17f0225d

Comment 4 Fedora Update System 2021-04-24 20:31:57 UTC
FEDORA-EPEL-2021-3370d4396b has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-3370d4396b

Comment 5 Fedora Update System 2021-04-24 20:32:02 UTC
FEDORA-2021-0414eb891b has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0414eb891b

Comment 6 Fedora Update System 2021-04-24 20:32:07 UTC
FEDORA-2021-c1116fb75e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c1116fb75e

Comment 7 Fedora Update System 2021-04-25 00:23:06 UTC
FEDORA-EPEL-2021-3370d4396b has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-3370d4396b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-04-25 00:29:01 UTC
FEDORA-2021-c1116fb75e has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c1116fb75e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c1116fb75e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-04-25 00:33:15 UTC
FEDORA-EPEL-2021-076099dbe2 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-076099dbe2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-04-25 00:34:43 UTC
FEDORA-2021-4a17f0225d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-4a17f0225d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-4a17f0225d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-04-25 00:52:54 UTC
FEDORA-2021-0414eb891b has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0414eb891b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0414eb891b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-04-27 01:08:01 UTC
FEDORA-EPEL-2021-076099dbe2 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-05-03 01:48:33 UTC
FEDORA-2021-4a17f0225d has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-05-03 02:04:38 UTC
FEDORA-2021-0414eb891b has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-05-03 02:12:15 UTC
FEDORA-2021-c1116fb75e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-05-05 01:53:22 UTC
FEDORA-EPEL-2021-80d45ac7ec has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-80d45ac7ec

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2021-05-20 00:38:29 UTC
FEDORA-EPEL-2021-80d45ac7ec has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.